#include "StdInc.h"

// Funcs
Boolean AboutProc(EventPtr event);
void DrawAbout ();

void DoModalAbout ()
{
	FormPtr pForm, pOldForm;

	pOldForm = FrmGetActiveForm();
	if (pForm = FrmInitForm(IDF_ABOUT))
	{
		// Pre form stuff.
		FrmSetActiveForm(pForm);
		FrmDrawForm(pForm);

		// Do the About.
		DrawAbout();

		// Show the dialog.
		FrmSetEventHandler(pForm, (FormEventHandlerPtr) AboutProc);
		FrmDoDialog(pForm);

		// We now return to our other window.
		if (pOldForm)
			FrmSetActiveForm(pOldForm);
		FrmDeleteForm(pForm);
	}
}

Boolean AboutProc (EventPtr event)
{
	FormPtr pForm = FrmGetActiveForm();
	Boolean bHandled = false;

    switch (event->eType) 
    {
	case frmUpdateEvent:
	{
		FrmDrawForm(pForm);
		bHandled = true;
		break;
	}

	case ctlSelectEvent:  // A control button was pressed and released.
	{
		bHandled = true;
		switch (event->data.ctlEnter.controlID)
		{
		case IDC_OK:
			bHandled = false;
			break;
		default:;
		}
		break;
	}
/*
	case ctlRepeatEvent:  // A control button was pressed and released.
	{
		bHandled = true;
		switch (event->data.ctlEnter.controlID)
		{
		default:;
		}
		break;
	}

	case menuEvent:  // A control button was pressed and released.
	{
		bHandled = true;
		switch (event->data.menu.itemID)
		{
		default:;
		}
		break;
	}

	case keyDownEvent:  // A control button was pressed and released.
	{
		bHandled = true;
		switch (event->data.keyDown.chr)
		{
		default:;
		}
		break;
	}

	case penDownEvent:  // A control button was pressed and released.
	{
		bHandled = false;
		break;
	}

	case sclRepeatEvent:  // A control button was pressed and released.
	{
		bHandled = true;
		switch (event->data.sclRepeat.scrollBarID)
		{
		default:;
		}
		break;
	}

	case tblSelectEvent:  // A control button was pressed and released.
	{
		bHandled = true;
		event->data.tblSelect.pTable;
		event->data.tblSelect.row;
		switch (event->data.keyDown.chr)
		{
		default:;
		}
		break;
	}
*/
	default:
		bHandled = false;
	}

	return bHandled;
}

void DrawAbout ()
{
}
