#ifndef __DATABASE_H
#define __DATABASE_H		1

#ifdef __cplusplus
extern "C" {
#endif

#include "DatabaseCommon.h"

DmOpenRef CreateDatabase (UInt32 ulAppId, UInt32 ulDatabaseId);
DmOpenRef OpenDatabase (UInt32 ulAppId, UInt32 ulDatabaseId);
Boolean CloseDatabase (DmOpenRef hDatabase);
Boolean DeleteDatabase (UInt32 ulAppId, UInt32 ulDatabaseId);
Boolean SetNameDatabase (DmOpenRef hDatabase, Char *pName);
Boolean SetAttributesDatabase (DmOpenRef hDatabase, UInt16 uAttributes, DbAttribType eDbAttribType);

Boolean ReadRecord (DmOpenRef hDatabase, UInt16 uiIndex, MemPtr pVoid, UInt32 ulLength);
Boolean OverwriteRecord (DmOpenRef hDatabase, UInt16 uiIndex, MemPtr pVoid, UInt32 ulLength);
Boolean InsertRecord (DmOpenRef hDatabase, UInt16 uiIndex, MemPtr pVoid, UInt32 ulLength);
Boolean DeleteRecord (DmOpenRef hDatabase, UInt16 uiIndex);

UInt16 GetRecordCount (DmOpenRef hDatabase);

#ifdef __cplusplus
}
#endif

#endif
