#ifndef __STRMATH_H
#define __STRMATH_H		1

#ifdef __cplusplus
extern "C" {
#endif

#define MAX_DECIMALS		32
#define MATH_STRING			128

void AddStrings (Char *pUpper, Char *pLower, Char *pTotal, Int16 iDecimalPlaces);
void SubtractStrings (Char *pUpper, Char *pLower, Char *pTotal, Int16 iDecimalPlaces);
void MultiplyStrings (Char *pUpper, Char *pLower, Char *pTotal, Int16 iDecimalPlaces);
void DivideStrings (Char *pUpper, Char *pLower, Char *pTotal, Int16 iDecimalPlaces);
void ModStrings (Char *pUpper, Char *pLower, Char *pTotal);

Int16 DecimalCount (Char *pStr);
Char *MakeDecimal (Char *pStr, Int16 iPlaces, Boolean bRound);
Char *RemoveDecimal (Char *pStr);
Char *AddDecimal (Char *pStr, Int16 iPlace);
Boolean UpperGreater (Char *pUpper, Char *pLower);
Boolean IsZero (Char *pStr);

Boolean IsNegative (Char *pStr);
void Negate (Char *pStr);
Char *GetWhole (Char *pStr, Char *pWhole);

#ifdef __cplusplus
}
#endif

#endif
