#include "StdInc.h"

UInt16 DoStringsModal (Char *pTitle, Char *pText, UInt16 wLength)
{
	FormPtr pForm, pOldForm;
	UInt16 wResult;
	MemHandle hString;
	Char *pString, *pOldTitle;

	wResult = 0;
	pOldForm = FrmGetActiveForm();
	if (pForm = FrmInitForm(IDF_STRINGS))
	{
		FieldPtr pField;
		UInt16 iField;
		FieldAttrType vFieldAttr;

		hString = SetField (pForm, IDC_CUSTOM_FIELD, wLength, ((pText) ? pText : ""));
		iField = FrmGetObjectIndex(pForm, IDC_CUSTOM_FIELD);
		pField = FrmGetObjectPtr(pForm, iField);
		FrmSetFocus(pForm, iField);
		FldGetAttributes (pField, &vFieldAttr);
		vFieldAttr.autoShift = true;
		FldSetAttributes (pField, &vFieldAttr);
		FldSetSelection(pField, 0, StrLen(pText));

		if (pTitle)
		{
			pOldTitle = (Char*)FrmGetTitle(pForm);
			FrmSetTitle(pForm, pTitle);
		}

		// Show the dialog.
		wResult = FrmDoDialog(pForm);

		if (pTitle)
			FrmSetTitle(pForm, pOldTitle);

		if (wResult == IDC_OK)
		{
			pString = (Char*)MemHandleLock(hString);
			StrCopy(pText, pString);
			MemHandleUnlock(hString);
		}

		// We now return to our other window.
		if (pOldForm)
			FrmSetActiveForm(pOldForm);
		FrmDeleteForm(pForm);
	}

	return wResult;
}
