#ifndef __LISTOBJ_H
#define __LISTOBJ_H		1

typedef struct _tagListNode
{
	MemPtr pNext;
	MemPtr pPrev;
	UInt16 vData;
} ListNode;
typedef ListNode *ListNodePtr;
typedef ListNode ListObject;

void ListConstruct (ListObject *pList);
void ListDestruct (ListObject *pList);

void ListAddFront (ListObject *pList, MemPtr pData, Int16 iSize);
void ListAddRear (ListObject *pList, MemPtr pData, Int16 iSize);
void ListDelete (ListObject *pList, Int16 iIndex);
void ListClear (ListObject *pList);

MemPtr ListGetData (ListObject *pList, Int16 iIndex);
Int16 ListGetCount (ListObject *pList);

#endif
